Rated 4 out of 5 stars

Please make compatible w/ FF 4. Thanks!

This review is for a previous version of the add-on (1.0.1.1-signed.1-signed).